unit TraceUnit;

interface

uses Classes, SysUtils;

var
   TraceStream : TStream;

procedure Trace(const s: string; args: array of const);
procedure Trace0(const s: string);

implementation

procedure Trace0(const s: string);
begin
   Trace(s, [0]);
end;
                 
procedure Trace(const s: string; args: array of const);
var
   buf : array[0..1024] of char;
begin
   StrLFmt(buf, sizeof(buf)-1, PChar(s), args);
   StrCat(buf, PChar(#13#10));
   TraceStream.Write(buf, StrLen(buf));
end;

initialization
   TraceStream := TFileStream.Create('TraceFile.txt', fmCreate	or fmOpenWrite or fmShareDenyWrite);
finalization
   TraceStream.Free;
end.
